# Class ClusterData

java.lang.Object
picard.illumina.parser.ClusterData

public class ClusterData extends Object
Store the information from Illumina files for a single cluster with one or more reads.

## Constructor Summary

Constructors
Constructor
Description
`ClusterData(ReadData... reads)`
Used for testing, reads is set directly with no copying to the input array
`ClusterData(ReadType[] readTypes)`
Creates a ClusterData with one read for each type provided

## Method Summary

Modifier and Type
Method
Description
`int`
`getLane()`
`String`
`getMatchedBarcode()`
`int`
`getNumReads()`
`ReadData`
`getRead(int index)`
`int`
`getTile()`
`int`
`getX()`
`int`
`getY()`
`Boolean`
`isPf()`
`boolean`
`laneIsSet()`
`void`
`setLane(int lane)`
`void`
`setMatchedBarcode(String matchedBarcode)`
`void`
`setOrCheckLane(int lane)`
Either set this value if not already set, or if already set, throw an exception if new value != current value.
`void`
`setOrCheckPf(boolean pf)`
Either set this value if not already set, or if already set, throw an exception if new value != current value.
`void`
`setOrCheckTile(int tile)`
Either set this value if not already set, or if already set, throw an exception if new value != current value.
`void`
`setOrCheckX(int x)`
Either set this value if not already set, or if already set, throw an exception if new value != current value.
`void`
`setOrCheckY(int y)`
Either set this value if not already set, or if already set, throw an exception if new value != current value.
`void`
`setPf(boolean pf)`
`void`
`setTile(int tile)`
`void`
`setX(int x)`
`void`
`setY(int y)`
`boolean`
`tileIsSet()`
`String`
`toString()`
`boolean`
`xIsSet()`
`boolean`
`yIsSet()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ClusterData

public ClusterData(ReadData... reads)
Used for testing, reads is set directly with no copying to the input array

### ClusterData

public ClusterData(ReadType[] readTypes)
Creates a ClusterData with one read for each type provided

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getTile

public int getTile()

### setTile

public void setTile(int tile)

### tileIsSet

public boolean tileIsSet()

### getRead

public ReadData getRead(int index)

### getNumReads

public int getNumReads()

### setOrCheckTile

public void setOrCheckTile(int tile)
Either set this value if not already set, or if already set, throw an exception if new value != current value.

### getLane

public int getLane()

### setLane

public void setLane(int lane)

### laneIsSet

public boolean laneIsSet()

### setOrCheckLane

public void setOrCheckLane(int lane)
Either set this value if not already set, or if already set, throw an exception if new value != current value.

### getX

public int getX()

### setX

public void setX(int x)

### xIsSet

public boolean xIsSet()

### setOrCheckX

public void setOrCheckX(int x)
Either set this value if not already set, or if already set, throw an exception if new value != current value.

### getY

public int getY()

### setY

public void setY(int y)

### yIsSet

public boolean yIsSet()

### setOrCheckY

public void setOrCheckY(int y)
Either set this value if not already set, or if already set, throw an exception if new value != current value.

### isPf

public Boolean isPf()

### setPf

public void setPf(boolean pf)

### setOrCheckPf

public void setOrCheckPf(boolean pf)
Either set this value if not already set, or if already set, throw an exception if new value != current value.

### getMatchedBarcode

public String getMatchedBarcode()

Returns:
  The barcode matched (not the actual sequence from the read, which may not perfectly match the barcode).

### setMatchedBarcode

public void setMatchedBarcode(String matchedBarcode)